## linux-4.4.0-296-antix.1-amd64-smp 4.4.0-296-antix.1-amd64

=== drivers/android/Makefile ===
ccflags-y += -I$(src)			# needed for trace events

obj-$(CONFIG_ANDROID_BINDER_IPC)	+= binder.o

=== tools/build/Makefile ===
ifeq ($(srctree),)
srctree := $(patsubst %/,%,$(dir $(shell pwd)))
srctree := $(patsubst %/,%,$(dir $(srctree)))
endif

include $(srctree)/tools//scripts/Makefile.include

define allow-override
  $(if $(or $(findstring environment,$(origin $(1))),\
            $(findstring command line,$(origin $(1)))),,\
    $(eval $(1) = $(2)))
endef

$(call allow-override,CC,$(CROSS_COMPILE)gcc)
$(call allow-override,LD,$(CROSS_COMPILE)ld)

ifeq ($(V),1)
  Q =
else
  Q = @
endif

export Q srctree CC LD

MAKEFLAGS := --no-print-directory
build     := -f $(srctree)/tools/build/Makefile.build dir=. obj

all: fixdep

clean:
	$(call QUIET_CLEAN, fixdep)
	$(Q)find . -name '*.o' -delete -o -name '\.*.cmd' -delete -o -name '\.*.d' -delete
	$(Q)rm -f fixdep

$(OUTPUT)fixdep-in.o: FORCE
	$(Q)$(MAKE) $(build)=fixdep

$(OUTPUT)fixdep: $(OUTPUT)fixdep-in.o
	$(QUIET_LINK)$(CC) $(LDFLAGS) -o $@ $<

FORCE:

.PHONY: FORCE

=== arch/powerpc/perf/Makefile ===
subdir-ccflags-$(CONFIG_PPC_WERROR) := -Werror

obj-$(CONFIG_PERF_EVENTS)	+= callchain.o

obj-$(CONFIG_PPC_PERF_CTRS)	+= core-book3s.o bhrb.o
obj64-$(CONFIG_PPC_PERF_CTRS)	+= power4-pmu.o ppc970-pmu.o power5-pmu.o \
				   power5+-pmu.o power6-pmu.o power7-pmu.o \
				   power8-pmu.o
obj32-$(CONFIG_PPC_PERF_CTRS)	+= mpc7450-pmu.o

obj-$(CONFIG_FSL_EMB_PERF_EVENT) += core-fsl-emb.o
obj-$(CONFIG_FSL_EMB_PERF_EVENT_E500) += e500-pmu.o e6500-pmu.o

obj-$(CONFIG_HV_PERF_CTRS) += hv-24x7.o hv-gpci.o hv-common.o

obj-$(CONFIG_PPC64)		+= $(obj64-y)
obj-$(CONFIG_PPC32)		+= $(obj32-y)

=== arch/x86/entry/Makefile ===
#
# Makefile for the x86 low level entry code
#
obj-y				:= entry_$(BITS).o thunk_$(BITS).o syscall_$(BITS).o
obj-y				+= common.o

obj-y				+= vdso/
obj-y				+= vsyscall/

obj-$(CONFIG_IA32_EMULATION)	+= entry_64_compat.o syscall_32.o

=== drivers/sbus/char/Makefile ===
#
# Makefile for the kernel miscellaneous SPARC device drivers.
#
# Dave Redman Frame Buffer tuning support.
#
# 7 October 2000, Bartlomiej Zolnierkiewicz <bkz@linux-ide.org>
# Rewritten to use lists instead of if-statements.
#

bbc-objs := bbc_i2c.o bbc_envctrl.o

obj-$(CONFIG_ENVCTRL)			+= envctrl.o
obj-$(CONFIG_DISPLAY7SEG)		+= display7seg.o
obj-$(CONFIG_OBP_FLASH)			+= flash.o
obj-$(CONFIG_SUN_OPENPROMIO)		+= openprom.o
obj-$(CONFIG_TADPOLE_TS102_UCTRL)	+= uctrl.o
obj-$(CONFIG_SUN_JSFLASH)		+= jsflash.o
obj-$(CONFIG_BBC_I2C)			+= bbc.o

## linux-4.4.0-296-antix.1-amd64-smp 4.4.0-296-antix.1-amd64-smp

=== debian/changelog ===
linux-4.4.0-296-antix.1-amd64-smp (4.4.0-296-antix.1-amd64-smp-1) bullseye; urgency=low

  * Custom built Linux kernel.

 -- anticapitalista <antix@operamail.com>  Thu, 23 Dec 2021 19:27:57 +0200

=== debian/control ===
Source: linux-4.4.0-296-antix.1-amd64-smp
Section: kernel
Priority: optional
Maintainer: anticapitalista <antix@operamail.com>
Build-Depends: bc, kmod, cpio 
Standards-Version: 3.8.4
Homepage: http://www.kernel.org/

Package: linux-image-4.4.0-296-antix.1-amd64-smp
Provides: linux-image, linux-image-2.6, linux-modules-4.4.0-296-antix.1-amd64-smp
Suggests: linux-firmware-image-4.4.0-296-antix.1-amd64-smp
Architecture: any
Description: Linux kernel, version 4.4.0-296-antix.1-amd64-smp
 This package contains the Linux kernel, modules and corresponding other
 files, version: 4.4.0-296-antix.1-amd64-smp.

Package: linux-headers-4.4.0-296-antix.1-amd64-smp
Provides: linux-headers, linux-headers-2.6
Architecture: any
Description: Linux kernel headers for 4.4.0-296-antix.1-amd64-smp on ${kernel:debarch}
 This package provides kernel header files for 4.4.0-296-antix.1-amd64-smp on ${kernel:debarch}
 .
 This is useful for people who need to build external modules

Package: linux-firmware-image-4.4.0-296-antix.1-amd64-smp
Architecture: all
Description: Linux kernel firmware, version 4.4.0-296-antix.1-amd64-smp
 This package contains firmware from the Linux kernel, version 4.4.0-296-antix.1-amd64-smp.

Package: linux-libc-dev
Section: devel
Provides: linux-kernel-headers
Architecture: any
Description: Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These headers
 are used by the installed headers for GNU glibc and other system libraries.

=== debian/rules ===
#!/usr/bin/make -f

build:
	$(MAKE)

binary-arch:
	$(MAKE) KDEB_SOURCENAME=linux-4.4.0-296-antix.1-amd64-smp KDEB_PKGVERSION=4.4.0-296-antix.1-amd64-smp-1 bindeb-pkg

clean:
	rm -rf debian/*tmp debian/files
	mv debian/ debian.backup # debian/ might be cleaned away
	$(MAKE) clean
	mv debian.backup debian

binary: binary-arch
